# Generated by Django 2.1.5 on 2019-01-15 23:31

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Driver',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(blank=True, default=None, max_length=30, null=True)),
                ('last_name', models.CharField(blank=True, default=None, max_length=30, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='EngagedPilot',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.IntegerField(blank=True, default=None, null=True)),
                ('pilot', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pilot', to='timelaps.Driver')),
            ],
        ),
        migrations.CreateModel(
            name='Race',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, default=None, max_length=30, null=True)),
                ('start_date', models.DateTimeField(blank=True, default=None, null=True)),
                ('end_date', models.DateTimeField(blank=True, default=None, null=True)),
                ('duration', models.IntegerField()),
                ('comment', models.CharField(blank=True, default=None, max_length=256, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Relay',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('relay_start', models.DateTimeField()),
                ('relay_end', models.DateTimeField(blank=True, default=None, null=True)),
                ('has_refuel', models.BooleanField(default=False)),
                ('pilot_chrono', models.IntegerField(blank=True, default=None, null=True)),
                ('comment', models.CharField(blank=True, default=None, max_length=256, null=True)),
                ('team_pilot', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='relays', to='timelaps.EngagedPilot')),
            ],
        ),
        migrations.CreateModel(
            name='Rules',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('min_stand_duration', models.IntegerField(blank=True, default=None, null=True)),
                ('max_autonomy_dry', models.IntegerField()),
                ('max_autonomy_wet', models.IntegerField()),
                ('max_driving_duration', models.IntegerField(blank=True, default=None, null=True)),
                ('relay_default_duration', models.IntegerField(blank=True, default=None, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Team',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, default=None, max_length=30, null=True)),
                ('comment', models.CharField(blank=True, default=None, max_length=256, null=True)),
            ],
        ),
        migrations.AddField(
            model_name='race',
            name='fk_rules',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='timelaps.Rules'),
        ),
        migrations.AddField(
            model_name='engagedpilot',
            name='race',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='race', to='timelaps.Race'),
        ),
        migrations.AddField(
            model_name='engagedpilot',
            name='team',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='team', to='timelaps.Team'),
        ),
    ]
